defmodule PodcastFeedWeb.FeedView do
  use PodcastFeedWeb, :view

  def format_length(length) do
    parsed = length / 100 / 60
    min = parsed |> trunc
    sec = parsed - min |> Float.floor(2) |> Float.to_string() |> String.split(".") |> Enum.at(1)
    "#{min}:#{sec}"
  end
end
