defmodule PodcastFeed do
  @moduledoc """
  PodcastFeed keeps the contexts that define your domain
  and business logic.

  Contexts are also responsible for managing your data, regardless
  if it comes from the database, an external API or others.
  """
  alias PodcastFeed.Provider.Archive

  def archive() do
    Archive.Parser.feed('https://ia601402.us.archive.org/8/items/incontri-a-piano-terra/incontri-a-piano-terra_files.xml') #FIXME: should be dynamic
    |> IO.inspect
  end
end


# <item>
#     <title>Episode Name 2</title>
#     <link>
#         http://podcast.example.com/episode2.mp4
#     </link>
#     <pubDate>Sat, 02 Jan 2016 16:00:00 PDT</pubDate>
#     <description>
#         The full length episode 2 description
#     </description>
#     <enclosure url="http://podcasts.example.com/episode.mp4" length="36715125" type="audio/mpeg"/>
#     <guid>
#         http://podcast.example.com/episode2.mp4
#     </guid>
#     <itunes:duration>19:07</itunes:duration>
#     <itunes:summary>
#         The full length episode 2 description
#     </itunes:summary>
#     <itunes:image href="http://www.example.com/image3000x3000.png"/>
#     <itunes:keywords>
#         comma,separated,key,words
#     </itunes:keywords>
#     <itunes:explicit>no</itunes:explicit>
# </item>


# <?xml version="1.0" encoding="utf-8"?>
# <rss xmlns:atom="http://www.w3.org/2005/Atom" xmlns:itunes="http://www.itunes.com/dtds/podcast-1.0.dtd" xmlns:itunesu="http://www.itunesu.com/feed" version="2.0">
# <channel>
# <link>http://www.YourSite.com</link>
# <language>en-us</language>
# <copyright>&#xA9;2013</copyright>
# <webMaster>your@email.com (Your Name)</webMaster>
# <managingEditor>your@email.com (Your Name)</managingEditor>
# <image>
# <url>http://www.YourSite.com/ImageSize300X300.jpg</url>
# <title>Title or description of your logo</title>
# <link>http://www.YourSite.com</link>
# </image>
# <itunes:owner>
# <itunes:name>Your Name</itunes:name>
# <itunes:email>your@email.com</itunes:email>
# </itunes:owner>
# <itunes:category text="Education">
# <itunes:category text="Higher Education" />
# </itunes:category>
# <itunes:keywords>separate, by, comma, and, space</itunes:keywords>
# <itunes:explicit>no</itunes:explicit>
# <itunes:image href="http://www.YourSite.com/ImageSize300X300.jpg" />
# <atom:link href="http://www.YourSite.com/feed.xml" rel="self" type="application/rss+xml" />
# <pubDate>Sun, 01 Jan 2012 00:00:00 EST</pubDate>
# <title>Verbose title of the podcast</title>
# <itunes:author>College, school, or department owning the podcast</itunes:author>
# <description>Verbose description of the podcast.</description>
# <itunes:summary>Duplicate of above verbose description.</itunes:summary>
# <itunes:subtitle>Short description of the podcast - 255 character max.</itunes:subtitle>
# <lastBuildDate>Thu, 02 Feb 2012 00:00:00 EST</lastBuildDate>
# <item>
# <title>Verbose title of the episode</title>
# <description>Verbose description of the episode.</description>
# <itunes:summary>Duplicate of above verbose description.</itunes:summary>
# <itunes:subtitle>Short description of the episode - 255 character max.</itunes:subtitle>
# <itunesu:category itunesu:code="112" />
# <enclosure url="http://www.YourSite.com/FILE.EXT" type="audio/mpeg" length="1" />
# <guid>http://www.YourSite.com/FILE.EXT</guid>
# <itunes:duration>H:MM:SS</itunes:duration>
# <pubDate>Thu, 02 Feb 2012 00:00:00 EST</pubDate>
# </item>
# </channel>
# </rss>
